
QGIS Application - Bug report #17631

Cancelling the dialog when saving a layer as GeoPackage crashed QGIS

2017-12-05 03:24 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 25528

Description

User Feedback

Iright-click on a vector layer and select the "save as..." dialog

I Select the geopackage format and an existing DB

I fill a table name

click the Cancel button for some reason. KABOOOM!

I desperately tried to reproduce the crash. But given that it happened once, here's the backtrace. Hope that helps.

Report Details

Crash ID: c41e8f1ea607824844fb33e13290191e0b78c239

Stack Trace

QCoreApplication::notifyInternal2 :

QEventDispatcherWin32Private::sendTimerEvent :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::actionSplitFeatures :

QgisApp::actionSplitFeatures :

QgisApp::actionSplitFeatures :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsFeatureRequest::OrderByClause::OrderByClause :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsFeatureRequest::OrderByClause::OrderByClause :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :
CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QgsTextFormatWidget::mFontFamilyCmbBx_currentFontChanged :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsFeatureRequest::OrderByClause::OrderByClause :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsFeatureRequest::OrderByClause::OrderByClause :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgisApp::actionSplitFeatures :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:57dc9deb06

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

History

#1 - 2017-12-05 09:03 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Tried hard to replicate and wasn't able. Was this a one time thing or something consistent in your installation?

#2 - 2017-12-05 09:07 PM - Harrissou Santanna

Happened once. I also tried to replicate but failed. 

But given that crashes are not good and having a stack trace, i decided to report it.
#3 - 2017-12-05 09:08 PM - Giovanni Manghi

- Status changed from Feedback to Open

Harrissou Santanna wrote:

Happened once. I also tried to replicate but failed. 

But given that crashes are not good and having a stack trace, i decided to report it.

sure!

#4 - 2018-01-25 09:25 AM - Alessandro Pasotti

- Resolution set to not reproducable

- Status changed from Open to Closed

2024-04-28 3/3


